Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #915 (new defect)

Opened 15 years ago

Last modified 15 years ago

New madwifi-ng snapshots don't associate with FritzBox

Reported by: umbra@fuin-uireb.de Assigned to:
Priority: major Milestone:
Component: madwifi: other Version: trunk
Keywords: Cc:
Patch is attached: 0 Pending:

Description

New svn snapshots of madwifi-ng don't associate with FritzBox? any more and when I try to associate any other Wifi clients are kicked too. Associating on my WRT54G with openwrt works well with both versions. I have access to the problematic AP for further two weeks only!

Details of the AP:

AP Modul/Firmware: FRITZ!Box SL WLAN (UI), Firmware-Version 09.04.07 Encryption : WPA 1 PSK

System details:

Gentoo Linux 2006.1 01:05.0 Ethernet controller: Atheros Communications, Inc. AR5005G 802.11abg NIC (rev 01) wpa_supplicant 0.5.5

Last working version I noticed : r1708 Version not working : r1722 and up

Status of r1709-r1721 is not clear but if it is neccessary I could compile and test them. Any hints which versions to try would be helpful to save time.

Change History

09/25/06 15:10:56 changed by mrenzmann

  • owner changed.
  • component changed from madwifi: 802.11 stack to madwifi: other.

Yes, narrowing down the culprit as closely as possible would help. As long as you're working on x86/x86_64, I'd suggest to test r1711 first and see if that's the revision that started to break things.

Did you change anything else when upgrading from r1708 to r1722 (and later)?

09/26/06 14:00:12 changed by umbra@fuin-uireb.de

Usually I fetch a new svn snapshot when compiling a fresh kernel. I did some ACPI changes when changing to the new kernel but now everything is running on exact the same environment.

You were right with r1711. r1710 is working without problems, r1711 does not associate and disconnects other associatied clients.

model name : Intel(R) Celeron(R) M processor 1.50GHz

So arch is x86

11/09/06 21:30:25 changed by glaubitz@physik.fu-berlin.de

I have the same problem with the recent madwifi-ng. I use a FritzBox? 7050, Firmware 14.04.15, 3Com OfficeConnect? Wireless 108Mbps 11g XJACK PC Card (3CRXJK10075). I can relieve the trouble much, if I set the WLAN-rate to 1MBps, then wireless will work quite reliably, but not as good as with the old madwifi-code (which does not compile with Linux 2.6.19-rc5, unfortunately). When using 2.6.17.9 I can use madwifi-old, which works without any trouble. madwigi-ng made troube all the time :(.